Bug 1503610 (CVE-2017-15089)

Summary: CVE-2017-15089 infinispan: Unsafe deserialization of malicious object injected into data cache
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: aboyko, aileenc, asoldano, atangrin, bbaranow, bdawidow, bmaxwell, bmcclain, brian.stansberry, cdewolf, chazlett, csutherl, darran.lofthouse, dblechte, dimitris, dkreling, dosoudil, drieden, eedri, fgavrilo, gsuckevi, gvarsami, iweiss, jawilson, jcoleman, jochrist, jolee, jondruse, jperkins, jschatte, jshepherd, jstastny, jwon, kconner, krathod, kwills, ldimaggi, lef, lgao, loleary, mgoldboi, mgoldman, michal.skrivanek, msochure, msvehla, myarboro, nwallace, pdrozd, pgier, pjindal, pjurak, pmackay, ppalaga, psakar, pslavice, psotirop, puntogil, rguimara, ricardo.arguello, rnetuka, rpelisse, rstancel, rsvoboda, rwagner, security-response-team, sherold, smaestri, spinder, sthorger, tcunning, theute, tkirby, tom.jenkinson, twalsh, vhalbert, vtunka, ykaul
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Infinispan 8.2.9.Final, Infinispan 9.2.0.Final Doc Type: If docs needed, set a value
Doc Text:
It was found that the Hotrod client in Infinispan would unsafely read deserialized data on information from the cache. An authenticated attacker could inject a malicious object into the data cache and attain deserialization on the client, and possibly conduct further attacks.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:29:36 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1503614    

Description Adam Mariš 2017-10-18 13:25:06 UTC
A vulnerability in Infinispan was found allowing malicious users to inject malicious serialized objects into server's data cache and potentially execute arbitrary code on other user's machine when the malicious data are fetched using hotrod protocol.

Comment 1 Adam Mariš 2017-10-18 13:25:08 UTC
Acknowledgments:

Name: Man Yue Mo (Semmle/lgtm.com)

Comment 5 Jason Shepherd 2017-12-22 07:53:10 UTC
Hotrod is not supported without JDG entitlement, setting JON to notaffected.

https://access.redhat.com/solutions/281643

Comment 10 errata-xmlrpc 2018-02-12 17:20:48 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Data Grid

Via RHSA-2018:0294 https://access.redhat.com/errata/RHSA-2018:0294

Comment 11 errata-xmlrpc 2018-03-12 16:39:17 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform

Via RHSA-2018:0478 https://access.redhat.com/errata/RHSA-2018:0478

Comment 12 errata-xmlrpc 2018-03-12 16:59:38 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.1 for RHEL 7

Via RHSA-2018:0480 https://access.redhat.com/errata/RHSA-2018:0480

Comment 13 errata-xmlrpc 2018-03-12 17:02:26 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.1 for RHEL 6

Via RHSA-2018:0479 https://access.redhat.com/errata/RHSA-2018:0479

Comment 14 errata-xmlrpc 2018-03-12 17:22:43 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.1 for RHEL 7
  Red Hat JBoss Enterprise Application Platform 7.1 for RHEL 6

Via RHSA-2018:0481 https://access.redhat.com/errata/RHSA-2018:0481

Comment 19 errata-xmlrpc 2019-06-04 14:33:15 UTC
This issue has been addressed in the following products:

  Red Hat Fuse 6.3

Via RHSA-2019:1326 https://access.redhat.com/errata/RHSA-2019:1326

Comment 22 errata-xmlrpc 2020-06-15 16:09:16 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform

Via RHSA-2020:2561 https://access.redhat.com/errata/RHSA-2020:2561